### 8.30 `BESSEL_Y0` — Bessel function of the second kind of order 0

Description:
  `BESSEL_Y0(X)` computes the Bessel function of the second kind of order 0 of X. This function is available under the name `BESY0` as a GNU extension.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = BESSEL_Y0(X)`
Arguments:

  X | The type shall be `REAL`, and it shall be scalar.

Return value:
  The return value is a scalar of type `REAL`. It has the same kind as X.
Example:

                program test_besy0
                  real(8) :: x = 0.0_8
                  x = bessel_y0(x)
                end program test_besy0

Specific names:

  Name | Argument | Return type | Standard
  `DBESY0(X)` | `REAL(8) X` | `REAL(8)` | GNU extension